:root {
  --yellow: #ffce45;
}

* {
  font-family: "Roboto", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  border: none;
  text-transform: capitalize;
  transition: all 0.2s linear;
}

h1,
h3 {
  font-family: "Oswald", sans-serif;
}

*::selection {
  background: var(--yellow);
  color: #fff;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  overflow-x: hidden;
  background: #f7f7f7;
  /* height:200rem; */
}

html::-webkit-scrollbar {
  width: 1.4rem;
}

html::-webkit-scrollbar-track {
  background: #333;
}

html::-webkit-scrollbar-thumb {
  background: var(--yellow);
}

section {
  min-height: 100vh;
  padding: 1rem 10%;
  padding-top: 8.5rem;
}

.btn {
  font-size: 1.7rem;
  padding: 0.7rem 4rem;
  border-radius: 5rem;
  margin-top: 1rem;
  background: none;
  color: #333;
  cursor: pointer;
  border: 0.2rem solid var(--yellow);
}

.btn:hover {
  background: var(--yellow);
}

.heading {
  text-align: center;
  font-size: 4rem;
  padding: 0 0.5rem;
  color: #333;
}

.heading span {
  color: var(--yellow);
}

header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  background: #fff;
  padding: 1.5rem 10%;
  box-shadow: 0 0.3rem 2rem rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header .logo img {
  height: 3rem;
}

header .navbar ul {
  display: flex;
  align-items: center;
  justify-content: center;
  list-style: none;
}

header .navbar ul li {
  margin-left: 3rem;
}

header .navbar ul li a {
  font-size: 1.7rem;
  color: #666;
}

header .navbar ul li a.active,
header .navbar ul li a:hover {
  color: var(--yellow);
}

header #menu-bar {
  font-size: 3rem;
  color: #666;
  cursor: pointer;
  display: none;
}

.home {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  position: relative;
  z-index: 0;
  overflow: hidden;
}

.home::before,
.home::after {
  content: "";
  position: absolute;
  top: 5rem;
  right: -6rem;
  background: var(--yellow);
  border-radius: 3rem;
  transform: rotate(-45deg);
  height: 40rem;
  width: 70rem;
  z-index: -2;
  animation: animte 1s linear 1;
}

@keyframes animte {
  0% {
    transform: rotate(45deg) translateY(-40rem);
  }
}

.home::before {
  top: -7rem;
  background: #fff;
  box-shadow: 0 1rem 4rem rgba(0, 0, 0, 0.1);
  z-index: -1;
}

.home .image {
  flex: 1 1 39rem;
}

.home .image img {
  width: 100%;
}

.home .content {
  flex: 1 1 39rem;
}

.home .content h3 {
  color: #333;
  font-size: 6rem;
}

.home .content p {
  color: #666;
  font-size: 2rem;
  padding: 1rem 0;
}

.about {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.about .image {
  flex: 1 1 40rem;
  height: 50rem;
  background: url(../img/about-frame-img.png), url(../img/about-img.jpeg) no-repeat;
  background-size: cover;
  background-position: center;
  background-blend-mode: screen;
}

.about .content {
  flex: 1 1 40rem;
  padding: 2rem;
}

.about .content h3 {
  font-size: 4rem;
  color: #333;
}

.about .content p {
  font-size: 1.6rem;
  color: #666;
  padding: 1rem 0;
}
/* 
.menu .list {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  list-style: none;
  padding: 1rem 0;
  margin: 2rem 0;
  border-top: 0.3rem dashed rgba(0, 0, 0, 0.2);
  border-bottom: 0.3rem dashed rgba(0, 0, 0, 0.2);
}

.menu .list .btn {
  margin: 1rem;
}

.menu .list .btn.active,
.menu .list .btn:hover {
  background: var(--yellow);
  color: #fff;
}

.menu .row {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.menu .row .image {
  margin: 2rem;
  padding: 2rem;
  flex: 1 1 40rem;
  border-radius: 1rem;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
}

.menu .row .image img {
  width: 100%;
  object-fit: cover;
  border-radius: 1rem;
}

.menu .row .content {
  flex: 1 1 40rem;
}

.menu .row .content .info {
  padding: 1rem 0;
}

.menu .row .content .info h3 {
  display: flex;
  align-items: center;
  font-size: 2.4rem;
  color: #333;
}

.menu .row .content .info h3 span {
  padding-right: 1rem;
  color: var(--yellow);
}

.menu .row .content .info p {
  padding: 1rem 0;
  padding-left: 4.5rem;
  font-size: 1.5rem;
  color: #666;
} */

.popular {
  background: linear-gradient(rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.7)), url(../images/popular-bg.jpg) no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.popular .box-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.popular .box-container .box {
  background: #fff;
  width: 35rem;
  padding: 2rem;
  margin: 2rem;
  border-radius: 1rem;
  box-shadow: 0 0.3rem 0.5rem rgba(0, 0, 0, 0.2);
  text-align: center;
}

.popular .box-container .box img {
  height: 30rem;
  width: 100%;
  object-fit: cover;
}

.popular .box-container .box h3 {
  color: #333;
  font-size: 3rem;
  font-weight: normal;
}

.popular .box-container .box .stars i {
  color: var(--yellow);
  font-size: 2rem;
  padding: 1rem 0.1rem;
}

.popular .box-container .box .price {
  color: #666;
  font-size: 2.5rem;
}

.popular .box-container .box:hover {
  transform: scale(1.02);
  box-shadow: 0 1rem 1rem rgba(0, 0, 0, 0.2);
}

.gallery .box-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.gallery .box-container .box {
  height: 30rem;
  width: 30rem;
  margin: 2rem;
  cursor: pointer;
  overflow: hidden;
  position: relative;
}

.gallery .box-container .box img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.gallery .box-container .box h3 {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  text-align: center;
  font-size: 3rem;
  opacity: 0;
}

.gallery .box-container .box:hover h3 {
  top: 50%;
  opacity: 1;
  transition-delay: 0.2s;
}

.gallery .box-container .box::before {
  content: "";
  position: absolute;
  top: -100%;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
  transition: 0.2s linear;
}

.gallery .box-container .box:hover::before {
  top: 0;
}

.order {
  background: url(../images/contact-bg.jpg) no-repeat;
  background-size: cover;
  background-position: center;
}

.order .row {
  display: flex;
  background: #fff;
  margin: 2rem 0;
  overflow: hidden;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.3);
  border-radius: 1rem;
}

.order .row .image {
  flex: 1 1 40%;
}

.order .row .image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.order .row form {
  flex: 1 1 60%;
  background: #fff;
  padding: 2rem;
}

.order .row form .box {
  padding: 1rem;
  margin: 1rem 0;
  font-size: 1.5rem;
  color: #333;
  text-transform: none;
  background: #f0f0f0;
  width: 100%;
}

.order .row form .box::placeholder {
  text-transform: capitalize;
}

.order .row form .address {
  resize: none;
  height: 15rem;
}

.footer {
  background: #282727;
  padding: 1rem 7%;
}

.footer .box-container {
  display: flex;
  flex-wrap: wrap;
}

.footer .box-container .box {
  flex: 1 1 25rem;
  margin: 2rem;
}

.footer .box-container .box h3 {
  font-size: 2.5rem;
  color: #fff;
  padding: 1rem 0;
  font-weight: normal;
}

.footer .box-container .box p {
  font-size: 1.7rem;
  color: #eee;
  padding: 1rem 0;
}

.footer .box-container .box a {
  font-size: 1.7rem;
  color: #eee;
  padding: 1rem 0;
  display: block;
}

.footer .box-container .box a:hover {
  color: var(--yellow);
}

.footer .box-container .box p i {
  padding-right: 0.5rem;
  color: var(--yellow);
}

.footer .credit {
  font-size: 2rem;
  text-align: center;
  border-top: 0.2rem solid rgba(255, 255, 255, 0.7);
  padding: 2rem 1rem;
  font-weight: normal;
  letter-spacing: 0.1rem;
  color: #fff;
}

.footer .credit a {
  color: var(--yellow);
}

/* media queries  */

@media (max-width: 991px) {
  html {
    font-size: 55%;
  }

  .home::before,
  .home::after {
    display: none;
  }
}

@media (max-width: 768px) {
  header #menu-bar {
    display: block;
  }

  header .navbar {
    position: fixed;
    top: 8rem;
    left: 0;
    width: 100%;
    background: var(--yellow);
    border-top: 0.2rem solid rgba(0, 0, 0, 0.1);
    transform: scaleY(0);
    transform-origin: top;
    opacity: 0;
  }

  header .navbar ul {
    flex-flow: column;
    padding: 2rem;
  }

  header .navbar ul li {
    margin: 1.5rem;
    width: 100%;
  }

  header .navbar ul li a {
    display: block;
    color: #fff;
    padding-left: 2rem;
    border-left: 0.2rem solid #fff;
    font-size: 2rem;
  }

  header .navbar ul li a:hover,
  header .navbar ul li a.active {
    color: #333;
    border-color: #333;
  }

  .fa-times {
    transform: rotate(180deg);
  }

  header .navbar.nav-toggle {
    transform: scaleY(1);
    opacity: 1;
  }

  .home .content {
    text-align: center;
  }

  .home .content h3 {
    font-size: 4.5rem;
  }

  .order .row .image {
    display: none;
  }
}

@media (max-width: 500px) {
  html {
    font-size: 50%;
  }

  section {
    padding: 1rem 5%;
    padding-top: 8.5rem;
  }
}
